org.apache.tools.ant.taskdefs

## Class AttributeNamespaceDef

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.AntlibDefinition
      - - org.apache.tools.ant.taskdefs.AttributeNamespaceDef

All Implemented Interfaces:
  java.lang.Cloneable

    public final class AttributeNamespaceDef
    extends AntlibDefinition

Definition to allow the URI to be considered for Ant attributes.

Since:
  Ant 1.9.1

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`AttributeNamespaceDef()`

### Method Summary

Methods
`void` `execute()` Run the definition.

### Methods inherited from class org.apache.tools.ant.taskdefs.AntlibDefinition

`getAntlibClassLoader, getURI, setAntlibClassLoader, setURI`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeNamespaceDef

    public AttributeNamespaceDef()

### Method Detail

#### execute

    public void execute()

Run the definition. This registers the XML namespace (URI) as a namepace for attributes.

Overrides:
  `execute` in class `Task`